Modify

Opened 9 days ago

Closed 8 days ago

#18114 closed defect (fixed)

Fail parse date on rtklib .pos file

Reported by: freeExec Owned by: Don-vip
Priority: normal Milestone: 19.09
Component: Core Version: latest
Keywords: gpx, rtklib Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. Try to loading rtklib .pos file

What is the expected result?

What happens instead?

No points are imported.

Please provide any additional information below. Attach a screenshot if possible.

2019-09-09 11:27:05.607 SEVERE: java.text.ParseException: Unparseable date: "2019/04/21 08:20:34"
java.text.ParseException: Unparseable date: "2019/04/21 08:20:34"
        at java.text.DateFormat.parse(Unknown Source)
        at org.openstreetmap.josm.io.rtklib.RtkLibPosReader.parse(RtkLibPosReader.java:86)
        at org.openstreetmap.josm.gui.io.importexport.RtkLibImporter.buildAndParse(RtkLibImporter.java:108)
        at org.openstreetmap.josm.gui.io.importexport.RtkLibImporter.importData(RtkLibImporter.java:50)
        at org.openstreetmap.josm.gui.io.importexport.FileImporter.importDataHandleExceptions(FileImporter.java:95)
        at org.openstreetmap.josm.actions.OpenFileAction$OpenFileTask.importData(OpenFileAction.java:367)
URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-09-06 23:48:36 +0200 (Fri, 06 Sep 2019)
Build-Date:2019-09-07 01:31:01
Revision:15339
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15339 ru) Windows 10 64-Bit
OS Build number: Windows 10 Home 1809 (17763)
Memory Usage: 964 MB / 3630 MB (789 MB allocated, but free)
Java version: 1.8.0_172-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1920x1080, \Display1 1920x1080
Maximum Screen Size: 1920x1080
VM arguments: [-Dfile.encoding=Cp866]

Plugins:
+ CommandLine (34977)
+ FastDraw (34977)
+ ImportImagePlugin (34908)
+ OpeningHoursEditor (34977)
+ PicLayer (35104)
+ apache-commons (34908)
+ apache-http (34908)
+ buildings_tools (34982)
+ ejml (35049)
+ geochat (34977)
+ geojson (124)
+ geotools (34908)
+ gpsblam (34908)
+ imagery_offset_db (34908)
+ jaxb (35014)
+ jna (34908)
+ jts (35064)
+ log4j (34908)
+ mbtiles (v2.5.0)
+ measurement (35051)
+ o5m (34908)
+ opendata (35102)
+ pbf (35033)
+ photo_geotagging (34908)
+ poly (34991)
+ public_transport (34977)
+ reltoolbox (34977)
+ reverter (35084)
+ routing (35039)
+ scripting (30796)
+ tageditor (34977)
+ turnlanes (34994)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ utilsplugin2 (35098)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Quick-stops&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/PublicTransportOneClick&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewParkingFeatures&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/BuildingPreset&preset&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Quick-highways&zip=1
+ d:\Test_Programm\OSM\Presets_Quick-buildings-preset.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Addr2&zip=1
+ D:\ProgramFiles2\JOSM\Presets\Presets_wood_proreties.zip
+ D:\ProgramFiles2\JOSM\Presets\QuickEntranceStraincase-preset.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ http://<user.name>osm.ru/power/josm/preset-power-tower.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/StreetCabinet&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Playground_Equipment&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Power_Mapping_Utility_Simple&zip=1

Map paint styles:
- http://osm.cupivan.ru/coloured-addresses-ru.mapcss
- %UserProfile%\Documents\house.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/BesideTheRoad_Speed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
+ http://ekatyshev.ru/osm/style/area-fill2.mapcss
+ d:\Test_Programm\OSM\Почтовые отделения\addres_style.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&zip=1
+ https://github.com/simon04/coloured-addresses.mapcss/raw/master/dist/coloured-addresses.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Power&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1
- https://github.com/GlassOceanos/indoor-JOSM-style/archive/master.zip
+ http://<user.name>osm.ru/power/josm/style-power-tower-solid.zip
+ http://<user.name>osm.ru/power/josm/style-power-voltage-color.zip
+ d:\Test_Programm\OSM\PowerStyle\svg\power-tower-solid.mapcss

Last errors/warnings:
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:44:52"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:44:53"
- E: Ошибка импорта RTKLib! - <html>Импортировано координат: 0</html>
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:32"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:32"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:33"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:33"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:34"
- E: java.text.ParseException: Unparseable date: "2019/04/21 08:20:34"
- E: Ошибка импорта RTKLib! - <html>Импортировано координат: 0</html>

Attachments (1)

0_08_20.pos (1.7 KB) - added by freeExec 9 days ago.

Download all attachments as: .zip

Change History (3)

Changed 9 days ago by freeExec

Attachment: 0_08_20.pos added

comment:1 Changed 8 days ago by Don-vip

Description: modified (diff)
Milestone: 19.09
Owner: changed from team to Don-vip
Status: newassigned

comment:2 Changed 8 days ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 15343/josm:

fix #18114 - support short date/time format in RTKLib .pos files

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.